Retrieve a merchant instance by its `merchant_id` (merchant id, refers to a unique merchant code assigned to the merchant)
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/merchants/{merchant_id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://dev.superpool.unyte.africa/api/v1/merchants/{merchant_id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://dev.superpool.unyte.africa/api/v1/merchants/{merchant_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_trashed": true,
"trashed_at": "2023-11-07T05:31:56Z",
"restored_at": "2023-11-07T05:31:56Z",
"short_code": "<string>",
"business_email": "jsmith@example.com",
"support_email": "jsmith@example.com",
"is_active": true,
"tax_identification_number": "<string>",
"registration_number": "<string>",
"address": "<string>",
"kyc_verified": true,
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Merchant
Retrieve a merchant instance by its `merchant_id` (merchant id, refers to a unique merchant code assigned to the merchant)
This action allows you to retrieve a single merchant by its unique merchant code.
e.g AXA-5G36, WEM-GLE2, MEYOU-2023, X3X-2X24”, etc
GET
/
api
/
v1
/
merchants
/
{merchant_id}
/
Retrieve a merchant instance by its `merchant_id` (merchant id, refers to a unique merchant code assigned to the merchant)
Authorizations
Path Parameters
Response
Serializer for Merchant model
The name of the business
Maximum string length:
255Unique identifier for the merchant in the system
Unique short code indentifier used internally to identify a merchant or distributore.g. UBA-X224, GTB-3X2, KON-001, SLOT-001, WEMA-2286, etc.
Maximum string length:
10Company registration email address
Maximum string length:
254The contact email address of the business, for support if any
Maximum string length:
254Designates if the merchant is active
Unique tax identification number issued by federal or inland revenue service
Maximum string length:
40Government-issued registration number with the CAC
Maximum string length:
40The physical address of the business
Designates if the business has been verified by the platform
ID of the user
⌘I
